Bug 197665 - NM 0.6.3 crashed on login/startup
NM 0.6.3 crashed on login/startup
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dbus (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-05 08:53 EDT by Derek Atkins
Modified: 2013-03-13 00:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-11 10:23:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Atkins 2006-07-05 08:53:56 EDT
Description of problem:
Booted my machine, NM started, connected to my network, and then promptly died.
 It printed out the following log entries:

Jul  5 08:38:34 cliodev NetworkManager: <information>	Activation (ath0) Finish
handler scheduled. 
Jul  5 08:38:34 cliodev NetworkManager: <information>	Activation (ath0) Stage 5
of 5 (IP Configure Commit) complete. 
Jul  5 08:38:34 cliodev NetworkManager: <information>	Activation (ath0)
successful, device activated. 
Jul  5 08:38:38 cliodev NetworkManager: <WARNING>	 nm_signal_handler (): Caught
signal 11.  Generating backtrace... 
Jul  5 08:38:38 cliodev NetworkManager: ******************* START
**********************************
Jul  5 08:38:39 cliodev NetworkManager: (no debugging symbols found)
Jul  5 08:38:39 cliodev NetworkManager: Using host libthread_db library
"/lib/libthread_db.so.1".
Jul  5 08:38:39 cliodev NetworkManager: (no debugging symbols found)
Jul  5 08:38:39 cliodev NetworkManager: `shared object read from target memory'
has disappeared; keeping its symbols.
Jul  5 08:38:39 cliodev NetworkManager: (no debugging symbols found)
Jul  5 08:38:39 cliodev NetworkManager: (no debugging symbols found)
Jul  5 08:38:40 cliodev NetworkManager: [Thread debugging using libthread_db
enabled]
Jul  5 08:38:40 cliodev NetworkManager: [New Thread -1209112896 (LWP 2128)]
Jul  5 08:38:40 cliodev NetworkManager: [New Thread -1230095456 (LWP 2495)]
Jul  5 08:38:40 cliodev NetworkManager: [New Thread -1219605600 (LWP 2136)]
Jul  5 08:38:40 cliodev NetworkManager: [New Thread -1209115744 (LWP 2133)]
Jul  5 08:38:40 cliodev NetworkManager: 0x00597402 in __kernel_vsyscall ()
Jul  5 08:38:40 cliodev NetworkManager: #0  0x00597402 in __kernel_vsyscall ()
Jul  5 08:38:40 cliodev NetworkManager: #1  0x00843c0b in __waitpid_nocancel ()
from /lib/libpthread.so.0
Jul  5 08:38:40 cliodev NetworkManager: #2  0x0806c8b0 in nm_logging_setup ()
Jul  5 08:38:40 cliodev NetworkManager: #3  0x0806c9a1 in nm_logging_setup ()
Jul  5 08:38:40 cliodev NetworkManager: #4  <signal handler called>
Jul  5 08:38:40 cliodev NetworkManager: #5  0x035552e5 in
dbus_connection_send_with_reply_and_block ()
Jul  5 08:38:40 cliodev NetworkManager:    from /lib/libdbus-1.so.2
Jul  5 08:38:40 cliodev NetworkManager: #6  0x035764f2 in dbus_timeout_handle ()
from /lib/libdbus-1.so.2
Jul  5 08:38:40 cliodev NetworkManager: #7  0x00bc0df0 in
dbus_g_connection_flush () from /usr/lib/libdbus-glib-1.so.2
Jul  5 08:38:40 cliodev NetworkManager: #8  0x00126876 in
g_source_get_current_time () from /usr/lib/libglib-2.0.so.0
Jul  5 08:38:40 cliodev NetworkManager: #9  0x0012615d in
g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
Jul  5 08:38:40 cliodev NetworkManager: in_context_check () from
/usr/lib/libglib-2.0.so.0
Jul  5 08:38:40 cliodev NetworkManager: #11 0x00129799 in g_main_loop_run ()
from /usr/lib/libglib-2.0.so.0
Jul  5 08:38:40 cliodev NetworkManager: #12 0x08068a29 in main ()
Jul  5 08:38:40 cliodev NetworkManager: 
Jul  5 08:38:40 cliodev NetworkManager: Thread 4 (Thread -1209115744 (LWP 2133)):
Jul  5 08:38:40 cliodev NetworkManager: #0  0x00597402 in __kernel_vsyscall ()
Jul  5 08:38:40 cliodev NetworkManager: le.
Jul  5 08:38:40 cliodev NetworkManager: #1  0x00674550 in poll () from
/lib/libc.so.6
Jul  5 08:38:40 cliodev NetworkManager: No symbol table info available.
Jul  5 08:38:40 cliodev NetworkManager: #2  0x00129423 in g_main_context_check
() from /usr/lib/libglib-2.0.so.0
Jul  5 08:38:40 cliodev NetworkManager: No symbol table info available.
Jul  5 08:38:40 cliodev NetworkManager: #3  0x00129799 in g_main_loop_run ()
from /usr/lib/libglib-2.0.so.0
Jul  5 08:38:40 cliodev NetworkManager: No symbol table info available.
Jul  5 08:38:40 cliodev NetworkManager: #4  0x08055d2e in nm_get_device_by_udi ()
Jul  5 08:38:40 cliodev NetworkManager: No symbol table info available.
Jul  5 08:38:40 cliodev NetworkManager: #5  0x001439ff in g_thread_create_full
() from /usr/lib/libglib-2.0.so.0
Jul  5 08:38:40 cliodev NetworkManager: No symbol table info available.
Jul  5 08:38:40 cliodev NetworkManager: libpthread.so.0
Jul  5 08:38:40 cliodev NetworkManager: No symbol table info available.
Jul  5 08:38:40 cliodev NetworkManager: #7  0x0067db7e in clone () from
/lib/libc.so.6
Jul  5 08:38:40 cliodev NetworkManager: No symbol table info available.
Jul  5 08:38:40 cliodev NetworkManager: 
Jul  5 08:38:40 cliodev NetworkManager: Thread 3 (Thread -1219605600 (LWP 2136)):
Jul  5 08:38:40 cliodev NetworkManager: #0  0x00597402 in __kernel_vsyscall ()
Jul  5 08:38:40 cliodev NetworkManager: No symbol table info available.
Jul  5 08:38:40 cliodev NetworkManager:  in poll () from /lib/libc.so.6
Jul  5 08:38:40 cliodev NetworkManager: No symbol table info available.
Jul  5 08:38:40 cliodev NetworkManager: #2  0x00129423 in g_main_context_check
() from /usr/lib/libglib-2.0.so.0
Jul  5 08:38:40 cliodev NetworkManager: No symbol table info available.
Jul  5 08:38:40 cliodev NetworkManager: #3  0x00129799 in g_main_loop_run ()
from /usr/lib/libglib-2.0.so.0
Jul  5 08:38:40 cliodev NetworkManager: fo available.
Jul  5 08:38:40 cliodev NetworkManager: #4  0x08055d2e in nm_get_device_by_udi ()
Jul  5 08:38:40 cliodev NetworkManager: No symbol table info available.
Jul  5 08:38:40 cliodev NetworkManager: #5  0x001439ff in g_thread_create_full
() from /usr/lib/libglib-2.0.so.0
Jul  5 08:38:40 cliodev NetworkManager: No symbol table info available.
Jul  5 08:38:40 cliodev NetworkManager: #6  0x0083d40b in start_thread () from
/lib/libpthread.so.0
Jul  5 08:38:40 cliodev NetworkManager:  symbol table info available.
Jul  5 08:38:40 cliodev NetworkManager: #7  0x0067db7e in clone () from
/lib/libc.so.6
Jul  5 08:38:40 cliodev NetworkManager: No symbol table info available.
Jul  5 08:38:40 cliodev NetworkManager: 
Jul  5 08:38:40 cliodev NetworkManager: Thread 2 (Thread -1230095456 (LWP 2495)):
Jul  5 08:38:40 cliodev NetworkManager: #0  0x00597402 in __kernel_vsyscall ()
Jul  5 08:38:40 cliodev NetworkManager: No symbol table info available.
Jul  5 08:38:40 cliodev NetworkManager: l () from /lib/libpthread.so.0
Jul  5 08:38:40 cliodev NetworkManager: No symbol table info available.
Jul  5 08:38:40 cliodev NetworkManager: #2  0x0012706d in g_main_context_wakeup
() from /usr/lib/libglib-2.0.so.0
Jul  5 08:38:40 cliodev NetworkManager: No symbol table info available.
Jul  5 08:38:40 cliodev NetworkManager: #3  0x001439ff in g_thread_create_full
() from /usr/lib/libglib-2.0.so.0
Jul  5 08:38:40 cliodev NetworkManager: le info available.
Jul  5 08:38:40 cliodev NetworkManager: #4  0x0083d40b in start_thread () from
/lib/libpthread.so.0
Jul  5 08:38:40 cliodev NetworkManager: No symbol table info available.
Jul  5 08:38:40 cliodev NetworkManager: #5  0x0067db7e in clone () from
/lib/libc.so.6
Jul  5 08:38:40 cliodev NetworkManager: No symbol table info available.
Jul  5 08:38:40 cliodev NetworkManager: 
Jul  5 08:38:40 cliodev NetworkManager: Thread 1 (Thread -1209112896 (LWP 2128)):
Jul  5 08:38:40 cliodev NetworkManager: rnel_vsyscall ()
Jul  5 08:38:40 cliodev NetworkManager: No symbol table info available.
Jul  5 08:38:40 cliodev NetworkManager: #1  0x00843c0b in __waitpid_nocancel ()
from /lib/libpthread.so.0
Jul  5 08:38:40 cliodev NetworkManager: No symbol table info available.
Jul  5 08:38:40 cliodev NetworkManager: #2  0x0806c8b0 in nm_logging_setup ()
Jul  5 08:38:40 cliodev NetworkManager: No symbol table info available.
Jul  5 08:38:40 cliodev NetworkManager: #3  0x0806c9a1 in nm_logging_setup ()
Jul  5 08:38:40 cliodev NetworkManager: No symbol table info available.
Jul  5 08:38:40 cliodev NetworkManager: #4  <signal handler called>
Jul  5 08:38:40 cliodev NetworkManager: No symbol table info available.
Jul  5 08:38:40 cliodev NetworkManager: #5  0x035552e5 in
dbus_connection_send_with_reply_and_block ()
Jul  5 08:38:40 cliodev NetworkManager:    from /lib/libdbus-1.so.2
Jul  5 08:38:40 cliodev NetworkManager: No symbol table info available.
Jul  5 08:38:40 cliodev NetworkManager:  from /lib/libdbus-1.so.2
Jul  5 08:38:40 cliodev NetworkManager: No symbol table info available.
Jul  5 08:38:40 cliodev NetworkManager: #7  0x00bc0df0 in
dbus_g_connection_flush () from /usr/lib/libdbus-glib-1.so.2
Jul  5 08:38:40 cliodev NetworkManager: No symbol table info available.
Jul  5 08:38:40 cliodev NetworkManager: #8  0x00126876 in
g_source_get_current_time () from /usr/lib/libglib-2.0.so.0
Jul  5 08:38:40 cliodev NetworkManager: l table info available.
Jul  5 08:38:40 cliodev NetworkManager: #9  0x0012615d in
g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
Jul  5 08:38:40 cliodev NetworkManager: No symbol table info available.
Jul  5 08:38:40 cliodev NetworkManager: #10 0x001293ef in g_main_context_check
() from /usr/lib/libglib-2.0.so.0
Jul  5 08:38:40 cliodev NetworkManager: No symbol table info available.
Jul  5 08:38:40 cliodev NetworkManager: g_main_loop_run () from
/usr/lib/libglib-2.0.so.0
Jul  5 08:38:40 cliodev NetworkManager: No symbol table info available.
Jul  5 08:38:40 cliodev NetworkManager: #12 0x08068a29 in main ()
Jul  5 08:38:40 cliodev NetworkManager: No symbol table info available.
Jul  5 08:38:40 cliodev NetworkManager: ******************* END
**********************************


Version-Release number of selected component (if applicable):
[warlord@cliodev ~]$ rpm -qa | grep -i network
NetworkManager-glib-0.6.3-1.fc5
system-config-network-1.3.30-2.1
NetworkManager-0.6.3-1.fc5
NetworkManager-vpnc-0.6.2-1.fc5
NetworkManager-gnome-0.6.3-1.fc5
system-config-network-tui-1.3.30-2.1


How reproducible:
I've only seen this once, but it's a crasher with a backtrace so I figured that
I'd report it.

Steps to Reproduce:
1. ???
2.
3.
  
Actual results:
The network remained alive and working, but NM stopped.

Expected results:
NM shouldn't crash.

Additional info:
Comment 1 Dan Williams 2006-07-09 19:34:42 EDT
This is a dbus bindings bug, I think.  Can you install the 'dbus-debuginfo' rpm
with yum or whatever and see if you get this bug again?  It happens now and again.

John, likely the pending call reference-after-free thing we talked about a while
ago.  Installing dbus-debuginfo should allow the pending call callchain to be seen.
Comment 2 peter young 2006-10-09 08:26:01 EDT
I have a PC which loses its eth0 IP address whenever NetworkManager is started.
It was working just fine, but over the weekend it has developed this problem.
I have disabled NetworkManager for now as a workaround.

Is this related or should I log a new case ?
FC5 x86_64 with latest updates

here is an extract form the messages file.

Oct  9 09:32:59 eult158 NetworkManager: <information>   Activation (eth0) Stage
4 of 5 (IP Configure Get) started...
Oct  9 09:32:59 eult158 dhcdbd: message_handler: message handler not found 
under
 /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.host_name
Oct  9 09:32:59 eult158 NetworkManager: <WARNING>        nm_signal_handler (): 
C
aught signal 6.  Generating backtrace...
Oct  9 09:32:59 eult158 NetworkManager: ******************* START 
**************
********************
Oct  9 09:33:00 eult158 dhclient: Unable to add forward map from 
eult151.aleri.c
om. to 193.128.18.158: connection refused
Oct  9 09:33:00 eult158 NetworkManager: (no debugging symbols found)
Oct  9 09:33:00 eult158 NetworkManager: Using host libthread_db 
library "/lib64/
libthread_db.so.1".
Oct  9 09:33:00 eult158 NetworkManager: (no debugging symbols found)
Oct  9 09:33:00 eult158 NetworkManager: (no debugging symbols found)
Oct  9 09:33:00 eult158 NetworkManager: [Thread debugging using libthread_db 
ena
bled]
Oct  9 09:33:00 eult158 NetworkManager: [New Thread 46912496272752 (LWP 2608)]
Oct  9 09:33:00 eult158 NetworkManager: [New Thread 1094719808 (LWP 2723)]
Oct  9 09:33:00 eult158 NetworkManager: [New Thread 1084229952 (LWP 2626)]
Oct  9 09:33:00 eult158 NetworkManager: 0x0000003ffba0bb78 in 
__lll_mutex_lock_w
ait () from /lib64/libpthread.so.0
Comment 3 John (J5) Palmieri 2006-10-11 10:23:22 EDT
Please file a new bug.  I belive this one has been fixed.

Note You need to log in before you can comment on or make changes to this bug.